Bug 107608 - Segfault on logging out
Segfault on logging out
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-10-21 02:13 EDT by Jonathan Blandford
Modified: 2013-04-02 00:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-25 15:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2003-10-21 02:13:28 EDT
metacity crashed on logout.  Here's the backtrace from the core file.  

Additional info:
#0  0x08098f93 in meta_window_focus (window=0xa00b660, timestamp=0)
    at window.c:3071
#1  0x080a0c00 in meta_workspace_focus_mru_window (workspace=0x9fd6118,
    not_this_one=0xa07b6f8) at workspace.c:741
#2  0x08096568 in meta_window_free (window=0xa07b6f8) at window.c:890
#3  0x08062caa in meta_display_unmanage_windows_for_screen (
    display=0xb8c8c8c8, screen=0x9fea558) at display.c:4010
#4  0x08076dd4 in meta_screen_free (screen=0x9fea558) at screen.c:656
#5  0x0805e55a in meta_display_close (display=0x9fdb840) at display.c:712
#6  0x0806ff7a in main (argc=2, argv=0xbfeea424) at main.c:477

(gdb) p window->desc
$6 = 0xa00b5d0 "\200��\t0003 (Bottom Pan)"
Comment 1 Havoc Pennington 2004-05-25 15:14:15 EDT

Note You need to log in before you can comment on or make changes to this bug.